MONGOC_URI_SET_OPTION_AS_BOOL(3)

NAME
mongoc_uri_set_option_as_bool - mongoc_uri_set_option_as_bool()

SYNOPSIS

bool
mongoc_uri_set_option_as_bool (const mongoc_uri_t *uri,
                               const char *option,
                               bool value);

PARAMETERS

•   uri: A mongoc_uri_t.

•   option: The name of an option, case insensitive.

•   value: The new value.

DESCRIPTION

Sets an individual URI option, after the URI has been parsed from a string.

Only known options of type bool can be set.

Updates the option in-place if already set, otherwise appends it to the URI's bson_t of options.

RETURNS

True if successfully set (the named option is a known option of type bool).

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc